# Image Focus Crop

This module uses a few techniques, like face detection or entropy-based measure,
to calculate the focal point of an image in order to provide a better "scale
and crop" action.

Unlike other similar modules, Image Focus works with any image toolkit (both GD
and Image Magick) and does not require any extra user input.

For a full description of the module, visit the
[project page](https://drupal.org/project/image_focus).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/image_focus).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Use the image_focus_scale_and_crop action
2. Modify Face detection threshold

The PHP implementation is known to be very slow. Images larger than 50 KB will
be ignored. To modify this threshold, please override the variable
'image_focus_face_detection_maxsize'.


## Maintainers

- Szczepan Musial - [lamp5](https://www.drupal.org/u/lamp5)
- Hai-Nam Nguyen - [jcisio](https://www.drupal.org/u/jcisio)
- Stuart Rowlands - [stooit](https://www.drupal.org/u/stooit)
