<?php

namespace Drupal\image_focus\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Image focus settings for this site.
 */
class ImageFocusSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'image_focus_image_focus_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['image_focus.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['image_focus_face_detection_maxsize'] = [
      '#type' => 'number',
      '#min' => 50,
      '#field_suffix' => 'KB',
      '#title' => $this->t('Max image size to face detect'),
      '#default_value' => $this->config('image_focus.settings')->get('image_focus_face_detection_maxsize'),
      '#required' => TRUE,
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('image_focus.settings')
      ->set('image_focus_face_detection_maxsize', $form_state->getValue('image_focus_face_detection_maxsize'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
